Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module db :: Class Query |
[frames] | no frames]

# Class Query

source code

    object --+
             |
            Query

Instance Methods
__init__(self, db, immutable_db) x.__init__(...) initializes x; see help(type(x)) for signature | source code
container_exists(self, id_) | source code
event_exists(self, id_) | source code
milestone_exists(self, id_) | source code
get_category(self, id_) | source code
get_container(self, id_) | source code
get_event(self, id_) | source code
get_milestone(self, id_) | source code
get_era(self, id_) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db, immutable_db) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)